java_awt_event_ComponentAdapter (Bean Scripting Framework API)
Keywords: org.apache.bsf.util.event.adapters.java_awt_event_ComponentAdapter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bsf.util.event.adapters
Class java_awt_event_ComponentAdapter

    java.lang.Object
      org.apache.bsf.util.event.EventAdapterImpl
          org.apache.bsf.util.event.adapters.java_awt_event_ComponentAdapter

All Implemented Interfaces:
  java.awt.event.ComponentListener, EventAdapter, java.util.EventListener

public class java_awt_event_ComponentAdapter
extends EventAdapterImpl
implements java.awt.event.ComponentListener

Field Summary

Fields inherited from class org.apache.bsf.util.event.EventAdapterImpl
`eventProcessor`

Constructor Summary
`java_awt_event_ComponentAdapter()`

Method Summary
`void` | `componentHidden(java.awt.event.ComponentEvent e)`
`void` | `componentMoved(java.awt.event.ComponentEvent e)`
`void` | `componentResized(java.awt.event.ComponentEvent e)`
`void` | `componentShown(java.awt.event.ComponentEvent e)`

Methods inherited from class org.apache.bsf.util.event.EventAdapterImpl
`setEventProcessor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### java_awt_event_ComponentAdapter

    public java_awt_event_ComponentAdapter()

Method Detail

### componentHidden

    public void componentHidden(java.awt.event.ComponentEvent e)

  Specified by:
    `componentHidden` in interface `java.awt.event.ComponentListener`

### componentMoved

    public void componentMoved(java.awt.event.ComponentEvent e)

  Specified by:
    `componentMoved` in interface `java.awt.event.ComponentListener`

### componentResized

    public void componentResized(java.awt.event.ComponentEvent e)

  Specified by:
    `componentResized` in interface `java.awt.event.ComponentListener`

### componentShown

    public void componentShown(java.awt.event.ComponentEvent e)

  Specified by:
    `componentShown` in interface `java.awt.event.ComponentListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD